## gojq 0.12.6

=== Makefile ===
BIN := gojq
VERSION := $$(make -s show-version)
VERSION_PATH := cli
CURRENT_REVISION := $(shell git rev-parse --short HEAD)
BUILD_LDFLAGS := "-s -w -X github.com/itchyny/$(BIN)/cli.revision=$(CURRENT_REVISION)"
GOBIN ?= $(shell go env GOPATH)/bin
SHELL := /bin/bash

.PHONY: all
all: build

.PHONY: build
build:
	go build -ldflags=$(BUILD_LDFLAGS) -o $(BIN) ./cmd/$(BIN)

.PHONY: build-dev
build-dev: parser.go builtin.go
	go build -ldflags=$(BUILD_LDFLAGS) -o $(BIN) ./cmd/$(BIN)

.PHONY: build-debug
build-debug: parser.go builtin.go
	go build -tags debug -ldflags=$(BUILD_LDFLAGS) -o $(BIN) ./cmd/$(BIN)

builtin.go: builtin.jq parser.go.y parser.go query.go operator.go _tools/*
	GOOS= GOARCH= go generate

.SUFFIXES:
parser.go: parser.go.y $(GOBIN)/goyacc
	goyacc -o $@ $<

$(GOBIN)/goyacc:
	@go install golang.org/x/tools/cmd/goyacc@latest

.PHONY: install
install:
	go install -ldflags=$(BUILD_LDFLAGS) ./...

.PHONY: install-dev
install-dev: parser.go builtin.go
	go install -ldflags=$(BUILD_LDFLAGS) ./...

.PHONY: install-debug
install-debug: parser.go builtin.go
	go install -tags debug -ldflags=$(BUILD_LDFLAGS) ./...

.PHONY: show-version
show-version: $(GOBIN)/gobump
	@gobump show -r $(VERSION_PATH)

$(GOBIN)/gobump:
	@go install github.com/x-motemen/gobump/cmd/gobump@latest

.PHONY: cross
cross: $(GOBIN)/goxz CREDITS
	goxz -n $(BIN) -pv=v$(VERSION) -include _$(BIN) -arch=amd64,arm64 \
		-build-ldflags=$(BUILD_LDFLAGS) ./cmd/$(BIN)

$(GOBIN)/goxz:
	go install github.com/Songmu/goxz/cmd/goxz@latest

CREDITS: $(GOBIN)/gocredits go.sum
	go mod tidy
	gocredits -w .

$(GOBIN)/gocredits:
	go install github.com/Songmu/gocredits/cmd/gocredits@latest

.PHONY: test
test: build
	go test -v -race ./...

.PHONY: lint
lint: $(GOBIN)/staticcheck
	go vet ./...
	staticcheck -tags debug ./...

$(GOBIN)/staticcheck:
	go install honnef.co/go/tools/cmd/staticcheck@latest

.PHONY: check-tools
check-tools:
	go run _tools/print_builtin.go

.PHONY: clean
clean:
	rm -rf $(BIN) goxz CREDITS
	go clean

.PHONY: update
update: export GOPROXY=direct
update:
	rm -f go.sum && go get -u -d ./... && go get -d github.com/mattn/go-runewidth@v0.0.9 && go mod tidy
	sed -i.bak '/require (/,/)/d' go.dev.mod && rm -f go.dev.{sum,mod.bak}
	go get -u -d -modfile=go.dev.mod github.com/itchyny/{astgen,timefmt}-go && go generate

.PHONY: bump
bump: $(GOBIN)/gobump
ifneq ($(shell git status --porcelain),)
	$(error git workspace is dirty)
endif
ifneq ($(shell git rev-parse --abbrev-ref HEAD),main)
	$(error current branch is not main)
endif
	@gobump up -w "$(VERSION_PATH)"
	git commit -am "bump up version to $(VERSION)"
	git tag "v$(VERSION)"
	git push origin main
	git push origin "refs/tags/v$(VERSION)"

.PHONY: upload
upload: $(GOBIN)/ghr
	ghr "v$(VERSION)" goxz

$(GOBIN)/ghr:
	go install github.com/tcnksm/ghr@latest

## gojq 0.12.4

=== debian/changelog ===
gojq (0.12.4-1) unstable; urgency=medium

  * Initial release (Closes: #993437)

 -- Anthony Fok <foka@debian.org>  Wed, 01 Sep 2021 05:44:04 -0600

=== debian/control ===
Source: gojq
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-google-go-cmp-dev (>= 0.5.4),
               golang-github-itchyny-go-flags-dev (>= 1.5.0),
               golang-github-itchyny-timefmt-go-dev (>= 0.1.3),
               golang-github-mattn-go-isatty-dev (>= 0.0.13),
               golang-github-mattn-go-runewidth-dev (>= 0.0.9),
               golang-gopkg-yaml.v3-dev (>= 3.0.0~git20210107-496545a)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/gojq
Vcs-Git: https://salsa.debian.org/go-team/packages/gojq.git
Homepage: https://github.com/itchyny/gojq
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/itchyny/gojq

Package: gojq
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: pure Go implementation of jq (program)
 gojq is an implementation of jq command written in Go language.
 You can also embed gojq as a library to your Go products.
 .
 This package contains the /usr/bin/gojq command.

Package: golang-github-itchyny-gojq-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-google-go-cmp-dev (>= 0.5.4),
         golang-github-itchyny-go-flags-dev (>= 1.5.0),
         golang-github-itchyny-timefmt-go-dev (>= 0.1.3),
         golang-github-mattn-go-isatty-dev (>= 0.0.13),
         golang-github-mattn-go-runewidth-dev (>= 0.0.9),
         golang-gopkg-yaml.v3-dev (>= 3.0.0~git20210107-496545a),
         ${misc:Depends}
Description: pure Go implementation of jq (library)
 gojq is an implementation of jq command written in Go language.
 You can also embed gojq as a library to your Go products.
 .
 This package contains the github.com/itchyny/gojq Go library.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := builtin.jq cli/test.yaml

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

## gojq 0.12.5

=== debian/changelog ===
gojq (0.12.5-1) unstable; urgency=medium

  * New upstream version 0.12.5
  * Use dh-sequence-golang instead of dh-golang and --with=golang

 -- Anthony Fok <foka@debian.org>  Mon, 29 Nov 2021 20:20:01 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-any,
                golang-github-google-go-cmp-dev (>= 0.5.4),
                golang-github-itchyny-go-flags-dev (>= 1.5.0),

## gojq 0.12.6

=== debian/changelog ===
gojq (0.12.6-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Mon, 18 Nov 2024 18:57:16 +0000

gojq (0.12.6-1) unstable; urgency=medium

  * New upstream version 0.12.6
  * Remove dependency on golang-github-itchyny-go-flags-dev
    and bump dependency on golang-github-mattn-go-isatty-dev to (>= 0.0.14)
  * Reorder fields in debian/control and debian/copyright following
    those generated by the next release of dh-make-golang after v0.6.0

 -- Anthony Fok <foka@debian.org>  Mon, 06 Dec 2021 12:40:22 -0700

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: gojq
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Section: golang
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
-Section: golang
-Testsuite: autopkgtest-pkg-go
-Priority: optional
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
                golang-github-google-go-cmp-dev (>= 0.5.4),
-               golang-github-itchyny-go-flags-dev (>= 1.5.0),
                golang-github-itchyny-timefmt-go-dev (>= 0.1.3),
-               golang-github-mattn-go-isatty-dev (>= 0.0.13),
+               golang-github-mattn-go-isatty-dev (>= 0.0.14),
                golang-github-mattn-go-runewidth-dev (>= 0.0.9),
                golang-gopkg-yaml.v3-dev (>= 3.0.0~git20210107-496545a)
+Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gojq
 Vcs-Git: https://salsa.debian.org/go-team/packages/gojq.git
 Homepage: https://github.com/itchyny/gojq
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/itchyny/gojq
 
 Package: gojq
@@ -35,9 +35,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-google-go-cmp-dev (>= 0.5.4),
-         golang-github-itchyny-go-flags-dev (>= 1.5.0),
          golang-github-itchyny-timefmt-go-dev (>= 0.1.3),
-         golang-github-mattn-go-isatty-dev (>= 0.0.13),
+         golang-github-mattn-go-isatty-dev (>= 0.0.14),
          golang-github-mattn-go-runewidth-dev (>= 0.0.9),
          golang-gopkg-yaml.v3-dev (>= 3.0.0~git20210107-496545a),
          ${misc:Depends}

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/itchyny/gojq/tags .*/v?(\d\S*)\.tar\.gz debian

## gojq 0.12.7

=== Makefile ===
--- 
+++ 
@@ -72,7 +72,7 @@
 .PHONY: lint
 lint: $(GOBIN)/staticcheck
 	go vet ./...
-	staticcheck -tags debug ./...
+	staticcheck -checks all,-ST1000 -tags debug ./...
 
 $(GOBIN)/staticcheck:
 	go install honnef.co/go/tools/cmd/staticcheck@latest

=== debian/changelog ===
gojq (0.12.7-1) unstable; urgency=medium

  * New upstream version 0.12.7

 -- Anthony Fok <foka@debian.org>  Wed, 02 Mar 2022 22:43:14 -0700

## gojq 0.12.8

=== debian/changelog ===
gojq (0.12.8-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Build-depend explicitly on golang-any (>= 2:1.16~) as per go.mod
  * Build-depend on dh-golang (>= 1.58~) to avoid dh_dwz errors

 -- Anthony Fok <foka@debian.org>  Thu, 29 Sep 2022 18:55:00 -0600

gojq (0.12.8-1) unstable; urgency=medium

  * New upstream version 0.12.8
  * Update versioned dependencies as per go.mod
  * Bump Standards-Version to 4.6.1 (no change)

 -- Anthony Fok <foka@debian.org>  Tue, 14 Jun 2022 03:47:18 -0600

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: gojq
 Section: golang
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
+               dh-golang (>= 1.58~),
                dh-sequence-golang,
-               golang-any,
+               golang-any (>= 2:1.16~),
                golang-github-google-go-cmp-dev (>= 0.5.4),
                golang-github-itchyny-timefmt-go-dev (>= 0.1.3),
                golang-github-mattn-go-isatty-dev (>= 0.0.14),
-               golang-github-mattn-go-runewidth-dev (>= 0.0.9),
-               golang-gopkg-yaml.v3-dev (>= 3.0.0~git20210107-496545a)
+               golang-github-mattn-go-runewidth-dev (>= 0.0.13),
+               golang-gopkg-yaml.v3-dev (>= 3.0.1)
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gojq
 Vcs-Git: https://salsa.debian.org/go-team/packages/gojq.git
 Homepage: https://github.com/itchyny/gojq
@@ -37,8 +37,8 @@
 Depends: golang-github-google-go-cmp-dev (>= 0.5.4),
          golang-github-itchyny-timefmt-go-dev (>= 0.1.3),
          golang-github-mattn-go-isatty-dev (>= 0.0.14),
-         golang-github-mattn-go-runewidth-dev (>= 0.0.9),
-         golang-gopkg-yaml.v3-dev (>= 3.0.0~git20210107-496545a),
+         golang-github-mattn-go-runewidth-dev (>= 0.0.13),
+         golang-gopkg-yaml.v3-dev (>= 3.0.1),
          ${misc:Depends}
 Description: pure Go implementation of jq (library)
  gojq is an implementation of jq command written in Go language.

## gojq 0.12.11

=== Makefile ===
BIN := gojq
VERSION := $$(make -s show-version)
VERSION_PATH := cli
CURRENT_REVISION = $(shell git rev-parse --short HEAD)
BUILD_LDFLAGS = "-s -w -X github.com/itchyny/$(BIN)/cli.revision=$(CURRENT_REVISION)"
GOBIN ?= $(shell go env GOPATH)/bin
SHELL := /bin/bash

.PHONY: all
all: build

.PHONY: build
build:
	go build -ldflags=$(BUILD_LDFLAGS) -o $(BIN) ./cmd/$(BIN)

.PHONY: build-dev
build-dev: parser.go builtin.go
	go build -ldflags=$(BUILD_LDFLAGS) -o $(BIN) ./cmd/$(BIN)

.PHONY: build-debug
build-debug: parser.go builtin.go
	go build -tags gojq_debug -ldflags=$(BUILD_LDFLAGS) -o $(BIN) ./cmd/$(BIN)

builtin.go: builtin.jq parser.go.y parser.go query.go operator.go _tools/*
	GOOS= GOARCH= go generate

.SUFFIXES:
parser.go: parser.go.y $(GOBIN)/goyacc
	goyacc -o $@ $<

$(GOBIN)/goyacc:
	@go install golang.org/x/tools/cmd/goyacc@latest

.PHONY: install
install:
	go install -ldflags=$(BUILD_LDFLAGS) ./cmd/$(BIN)

.PHONY: install-dev
install-dev: parser.go builtin.go
	go install -ldflags=$(BUILD_LDFLAGS) ./cmd/$(BIN)

.PHONY: install-debug
install-debug: parser.go builtin.go
	go install -tags gojq_debug -ldflags=$(BUILD_LDFLAGS) ./cmd/$(BIN)

.PHONY: show-version
show-version: $(GOBIN)/gobump
	@gobump show -r "$(VERSION_PATH)"

$(GOBIN)/gobump:
	@go install github.com/x-motemen/gobump/cmd/gobump@latest

.PHONY: cross
cross: $(GOBIN)/goxz CREDITS
	goxz -n $(BIN) -pv=v$(VERSION) -include _$(BIN) \
		-build-ldflags=$(BUILD_LDFLAGS) ./cmd/$(BIN)

$(GOBIN)/goxz:
	go install github.com/Songmu/goxz/cmd/goxz@latest

CREDITS: $(GOBIN)/gocredits go.sum
	go mod tidy
	gocredits -w .

$(GOBIN)/gocredits:
	go install github.com/Songmu/gocredits/cmd/gocredits@latest

.PHONY: test
test: build
	go test -v -race ./...

.PHONY: lint
lint: $(GOBIN)/staticcheck
	go vet ./...
	staticcheck -checks all -tags gojq_debug ./...

$(GOBIN)/staticcheck:
	go install honnef.co/go/tools/cmd/staticcheck@latest

.PHONY: check-tools
check-tools:
	go run _tools/print_builtin.go

.PHONY: clean
clean:
	rm -rf $(BIN) goxz CREDITS
	go clean

.PHONY: update
update: export GOPROXY=direct
update:
	go get -u -d ./... && go mod tidy
	go mod edit -modfile=go.dev.mod -droprequire=github.com/itchyny/{astgen,timefmt}-go
	go get -u -d -modfile=go.dev.mod github.com/itchyny/{astgen,timefmt}-go && go generate

.PHONY: bump
bump: $(GOBIN)/gobump
	test -z "$$(git status --porcelain || echo .)"
	test "$$(git branch --show-current)" = "main"
	@gobump up -w "$(VERSION_PATH)"
	git commit -am "bump up version to $(VERSION)"
	git tag "v$(VERSION)"
	git push --atomic origin main tag "v$(VERSION)"

.PHONY: upload
upload: $(GOBIN)/ghr
	ghr "v$(VERSION)" goxz

$(GOBIN)/ghr:
	go install github.com/tcnksm/ghr@latest

=== debian/changelog ===
gojq (0.12.11-1ubuntu0.23.10.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 22 Jan 2024 09:31:16 +0530

gojq (0.12.11-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:37 +1200

gojq (0.12.11-1) unstable; urgency=medium

  * New upstream version 0.12.11
  * Bump Standards-Version to 4.6.2 (no change)
  * Replace Built-Using field with Static-Built-Using

 -- Anthony Fok <foka@debian.org>  Fri, 03 Feb 2023 03:29:59 -0700

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: gojq
 Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-golang (>= 1.58~),
                dh-sequence-golang,
                golang-any (>= 2:1.16~),
                golang-github-google-go-cmp-dev (>= 0.5.4),
@@ -14,7 +14,7 @@
                golang-github-mattn-go-runewidth-dev (>= 0.0.13),
                golang-gopkg-yaml.v3-dev (>= 3.0.1)
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gojq
 Vcs-Git: https://salsa.debian.org/go-team/packages/gojq.git
 Homepage: https://github.com/itchyny/gojq
@@ -24,7 +24,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: pure Go implementation of jq (program)
  gojq is an implementation of jq command written in Go language.
  You can also embed gojq as a library to your Go products.

## gojq 0.12.13

=== Makefile ===
--- 
+++ 
@@ -101,10 +101,3 @@
 	git commit -am "bump up version to $(VERSION)"
 	git tag "v$(VERSION)"
 	git push --atomic origin main tag "v$(VERSION)"
-
-.PHONY: upload
-upload: $(GOBIN)/ghr
-	ghr "v$(VERSION)" goxz
-
-$(GOBIN)/ghr:
-	go install github.com/tcnksm/ghr@latest

=== debian/changelog ===
gojq (0.12.13-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Tue, 24 Jun 2025 12:40:05 +1000

gojq (0.12.13-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 10:50:16 +0100

gojq (0.12.13-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 13:48:45 +0530

gojq (0.12.13-1) unstable; urgency=medium

  * New upstream version 0.12.13
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Sun, 15 Oct 2023 01:56:51 -0600

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                dh-sequence-golang,
                golang-any (>= 2:1.16~),
                golang-github-google-go-cmp-dev (>= 0.5.4),
-               golang-github-itchyny-timefmt-go-dev (>= 0.1.3),
-               golang-github-mattn-go-isatty-dev (>= 0.0.14),
-               golang-github-mattn-go-runewidth-dev (>= 0.0.13),
+               golang-github-itchyny-timefmt-go-dev (>= 0.1.5),
+               golang-github-mattn-go-isatty-dev (>= 0.0.19),
+               golang-github-mattn-go-runewidth-dev (>= 0.0.14),
                golang-gopkg-yaml.v3-dev (>= 3.0.1)
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.2
@@ -35,9 +35,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-google-go-cmp-dev (>= 0.5.4),
-         golang-github-itchyny-timefmt-go-dev (>= 0.1.3),
-         golang-github-mattn-go-isatty-dev (>= 0.0.14),
-         golang-github-mattn-go-runewidth-dev (>= 0.0.13),
+         golang-github-itchyny-timefmt-go-dev (>= 0.1.5),
+         golang-github-mattn-go-isatty-dev (>= 0.0.19),
+         golang-github-mattn-go-runewidth-dev (>= 0.0.14),
          golang-gopkg-yaml.v3-dev (>= 3.0.1),
          ${misc:Depends}
 Description: pure Go implementation of jq (library)
